      INTEGER(KIND=ADDRESS_LENGTH) IUVRIW, SAVE
      INTEGER*4 MEMORY(1)
      INTEGER MF
      INTEGER MPAR
      PARAMETER (MPAR=50)
      PARAMETER (MF = 10)
      INTEGER NF, IFUNC(MF)              ! number of functions, functions
      INTEGER NPFUNC(MF)                 ! number of parameters per function
      INTEGER NP                         ! number of points
      INTEGER NPAR, NSTART(MPAR)
      REAL*8 PARS(MPAR), SW
      COMMON/TIF/PARS,SW,IUVRIW, SAVE,                                  &
     &MEMORY,NF,IFUNC,NP,NPFUNC, NPAR, NSTART
!
      SAVE /TIF/
